#include <SoftModem.h> //ライブラリをインクルード
#include <ctype.h>

#define LED_PIN_1 A2
#define LED_PIN_2 A3
#define LED_PIN_3 A4
#define LED_PIN_4 A5

SoftModem modem; //SoftModemのインスタンスを作る
//int delayTime = 1000;
int txLed = 13;
int rxLed = 12;


void setup()
{
  Serial.begin(9600);
  modem.begin(); // setup()でbeginをコールする
  pinMode(txLed, OUTPUT);
  pinMode(rxLed, OUTPUT);
  pinMode(LED_PIN_1, OUTPUT);
  pinMode(LED_PIN_2, OUTPUT);
  pinMode(LED_PIN_3, OUTPUT);
  pinMode(LED_PIN_4, OUTPUT);
}

void loop()
{
    digitalWrite(LED_PIN_3, HIGH);
    digitalWrite(LED_PIN_1, HIGH);
    
  if(modem.available()) { //iPhoneからデータ受信しているか確認
    int c = modem.read(); //1byteリード
    Serial.print(c);
    flashLEDsOnce();
  }
  if (Serial.available()) { //PCからデータを受信しているか確認
    char c = Serial.read(); //1byteリード
    modem.write(c); //iPhoneに送信

  }
}
void flashLEDsOnce(){
  digitalWrite(LED_PIN_1, HIGH);
  digitalWrite(LED_PIN_2, HIGH);
  digitalWrite(LED_PIN_3, HIGH);
  digitalWrite(LED_PIN_4, HIGH);
  delay(100);
  digitalWrite(LED_PIN_1, LOW);
  digitalWrite(LED_PIN_2, LOW);
  digitalWrite(LED_PIN_3, LOW);
  digitalWrite(LED_PIN_4, LOW);
}

